"""add log kind for regenerating robot tokens

Revision ID: 43e943c0639f
Revises: 82297d834ad
Create Date: 2014-08-25 17:14:42.784518

"""

# revision identifiers, used by Alembic.
revision = '43e943c0639f'
down_revision = '82297d834ad'

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql
from data.model.sqlalchemybridge import gen_sqlalchemy_metadata
from data.database import all_models


def upgrade():
    schema = gen_sqlalchemy_metadata(all_models)

    op.bulk_insert(schema.tables['logentrykind'],
    [
        {'id': 41, 'name':'regenerate_robot_token'},
    ])


def downgrade():
    schema = gen_sqlalchemy_metadata(all_models)

    logentrykind = schema.tables['logentrykind']
    op.execute(
        (logentrykind.delete()
            .where(logentrykind.c.name == op.inline_literal('regenerate_robot_token')))

    )
